## qgis 3.44.3+git20251021+03d55b46919+36jammy-ubuntugis

=== debian/changelog ===
qgis (1:3.44.3+git20251021+03d55b46919+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.44.3
  * nightly build of latest release branch for jammy-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 21 Oct 2025 01:59:08 +0000

## qgis 3.44.3+git20251021+03d55b46919+40noble

=== python/testing/CMakeLists.txt ===
# See ../CMakeLists.txt for info on staged-plugins* and clean-staged-plugins targets

set(QGIS_PYTHON_DIR ${Python_SITEARCH}/qgis)

set(PY_FILES
  __init__.py
  mocked.py
)

file (MAKE_DIRECTORY ${QGIS_PYTHON_OUTPUT_DIRECTORY}/testing)
install(FILES ${PY_FILES} DESTINATION "${QGIS_PYTHON_DIR}/testing")

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/test_data_dir.py.in" "${QGIS_PYTHON_OUTPUT_DIRECTORY}/testing/test_data_dir.py")

add_custom_target(pytesting ALL)
# stage to output to make available when QGIS is run from build directory
foreach(pyfile ${PY_FILES})
  add_custom_command(TARGET pytesting
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy ${pyfile} "${QGIS_PYTHON_OUTPUT_DIRECTORY}/testing"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    # DEPENDS ${pyfile}
  )
  PY_COMPILE(pyutils "${QGIS_PYTHON_OUTPUT_DIRECTORY}/testing/${pyfile}")
endforeach(pyfile)

PY_COMPILE(pyutils "${QGIS_PYTHON_OUTPUT_DIRECTORY}/testing/test_data_dir.py")

=== debian/changelog ===
qgis (1:3.44.3+git20251021+03d55b46919+40noble) noble; urgency=medium

  * Release of 3.44.3
  * nightly build of latest release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 21 Oct 2025 03:54:53 +0000

## qgis 3.44.3+git20251021+03d55b46919+42plucky

=== debian/changelog ===
qgis (1:3.44.3+git20251021+03d55b46919+42plucky) plucky; urgency=medium

  * Release of 3.44.3
  * nightly build of latest release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 21 Oct 2025 07:20:10 +0000

## qgis 3.44.3+git20251021+03d55b46919+99sid

=== debian/changelog ===
qgis (1:3.44.3+git20251021+03d55b46919+99sid) sid; urgency=medium

  * Release of 3.44.3
  * nightly build of latest release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 21 Oct 2025 17:56:57 +0000

## qgis 3.44.4+17bookworm

=== debian/changelog ===
qgis (1:3.44.4+17bookworm) bookworm; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 10:44:03 +0000

qgis (3.44.3) unstable; urgency=medium

  * Release of 3.44.3

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 24 Oct 2025 14:09:21 +0200

## qgis 3.44.4+18trixie

=== debian/changelog ===
qgis (1:3.44.4+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 27 Oct 2025 12:32:52 +0000

## qgis 3.44.4+36jammy

=== debian/changelog ===
qgis (1:3.44.4+36jammy) jammy; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 00:00:48 +0000

=== debian/control ===
Source: qgis
Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>
Uploaders: Jürgen E. Fischer <jef@norbit.de>
Section: science
Priority: optional
Build-Depends:
 bison,
 ca-certificates,
 cmake (>= 2.8),
 debhelper (>= 9),
 dh-python,
 flex,
 gdal-bin,
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqca-qt5-2-plugins,
 libqscintilla2-qt5-dev,
 libqt5opengl5-dev,
 libqt5serialport5-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libqt5xmlpatterns5-dev,
 libdraco-dev,
 qtmultimedia5-dev,
 libqwt-qt5-dev,
 libspatialindex-dev,
 libspatialite-dev,
 libsqlite3-dev,
 libsqlite3-mod-spatialite,
 libzip-dev,
 nlohmann-json3-dev,
 ninja-build,
 ocl-icd-opencl-dev,
 opencl-headers,
 pkgconf,
 pyqt5-dev-tools,
 pyqt5-dev,
 pyqt5.qsci-dev,
 python3-all-dev,
 python3-dev,
 python3-gdal,
 python3-mock,
 python3-nose2,
 python3-owslib,
 python3-packaging,
 python3-psycopg2,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtserialport,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtsvg,
 python3-pyqtbuild,
 sip-tools,
 python3-termcolor,
 python3-yaml,
 qt3d5-dev,
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 qtkeychain-qt5-dev,
 qtbase5-dev,
 qtbase5-private-dev,
 qtpositioning5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libpdal-dev, pdal,
 libprotobuf-dev,
 protobuf-compiler,
 libzstd-dev,
 git,
 graphviz,
 xvfb,
 xauth,
 xfonts-base,
 xfonts-100dpi,
 xfonts-75dpi,
 xfonts-scalable,
 spawn-fcgi,
 poppler-utils,
 lighttpd,
 locales
Build-Conflicts:
 libqgis-dev,
 qgis-dev
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-qgis (= ${binary:Version}),
 qgis-providers (= ${binary:Version}),
 qgis-common (= ${source:Version})
Recommends:
 qgis-plugin-grass
Suggests: gpsbabel
Conflicts: uim-qt3
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: qgis-common
Architecture: all
Depends:
 libjs-jquery,
 libjs-leaflet,
 qml-module-qtcharts,
 ${misc:Depends}
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: libqgis-3d3.44.4
Architecture: any
Section: libs
Depends:
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.44.4
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgisgrass7-3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.44.4
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.44.4
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends:
 qttools5-dev-tools,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqgis-3d3.44.4 (= ${binary:Version}),
 libqgis-analysis3.44.4 (= ${binary:Version}),
 libqgis-app3.44.4 (= ${binary:Version}),
 libqgis-core3.44.4 (= ${binary:Version}),
 libqgis-gui3.44.4 (= ${binary:Version}),
 libqgis-native3.44.4 (= ${binary:Version}),
 libqgis-server3.44.4 (= ${binary:Version}),
 libqgisgrass7-3.44.4 (= ${binary:Version}),
 libqgispython3.44.4 (= ${binary:Version}),
 libqscintilla2-qt5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libqwt-qt5-dev,
 libsqlite3-dev,
 nlohmann-json3-dev,
 pyqt5-dev-tools,
 pyqt5.qsci-dev,
 python3-dev,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 qtbase5-dev,
 qtpositioning5-dev,
 qttools5-dev,
 ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the headers and libraries needed to develop plugins for
 QGIS.

Package: qgis-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libqgis-3d3.44.4 (= ${binary:Version}),
 libqgis-analysis3.44.4 (= ${binary:Version}),
 libqgis-app3.44.4 (= ${binary:Version}),
 libqgis-core3.44.4 (= ${binary:Version}),
 libqgis-gui3.44.4 (= ${binary:Version}),
 libqgis-native3.44.4 (= ${binary:Version}),
 libqgis-server3.44.4 (= ${binary:Version}),
 libqgisgrass7-3.44.4 (= ${binary:Version}),
 libqgispython3.44.4 (= ${binary:Version}),
 ${misc:Depends}
Suggests: gdb
Description: QGIS - debugging symbols
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains debugging symbols.

Package: qgis-provider-grass
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass
Architecture: any
Depends:
 qgis (= ${binary:Version}),
 qgis-plugin-grass-common (= ${source:Version}),
 qgis-provider-grass (= ${binary:Version}),
 grass-core,
 ${grass:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS plugin for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This plugin enables GRASS data access in QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis
Architecture: any
Section: python
Depends:
 python3-qgis-common (= ${source:Version}),
 qgis-providers (= ${binary:Version}),
 libqgispython3.44.4,
 libsqlite3-mod-spatialite,
 python3-jinja2,
 python3-owslib,
 python3-plotly,
 python3-psycopg2,
 python3-pygments,
 python3-pyproj,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebkit,
 python3-pyqt5.qtserialport,
 python3-yaml,
 python3-lxml,
 ${python3:Depends},
 ${shlibs:Depends},
 ${sip3:Depends},
 ${misc:Depends}
Breaks: python-qgis (<< ${binary:Version})
Replaces: python-qgis (<< ${binary:Version})
Description: Python bindings to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the files for the Python support.

Package: python3-qgis-common
Architecture: all
Section: python
Depends:
 gdal-bin,
 python3-gdal,
 python3-matplotlib,
 libqgis-customwidgets (>= ${source:Version}),
 ${python3:Depends},
 ${misc:Depends}
Breaks: python-qgis-common (<< ${source:Version})
Replaces: python-qgis-common (<< ${source:Version})
Suggests:
 saga
Description: Python bindings to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS Python
 bindings.

Package: qgis-providers
Architecture: any
Pre-Depends:
 dpkg (>= 1.16.1),
 ${misc:Pre-Depends}
Depends:
 qgis-providers-common (= ${source:Version}),
 libqca-qt5-2-plugins,
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 qt5-image-formats-plugin-pdf,
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: qgis (<= 1.6)
Replaces: qgis (<= 1.6)
Description: collection of data providers to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the provider plugins for QGIS.

Package: qgis-providers-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qgis-common (<= 1.6)
Replaces: qgis-common (<= 1.6)
Description: collection of data providers to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and

## qgis 3.44.4+36jammy-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for jammy-ubuntugis with ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 01:50:39 +0000

=== debian/control ===
--- 
+++ 
@@ -224,7 +224,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass7-3.44.4
+Package: libqgisgrass8-3.44.4
 Architecture: any
 Section: libs
 Depends:
@@ -281,7 +281,7 @@
  libqgis-gui3.44.4 (= ${binary:Version}),
  libqgis-native3.44.4 (= ${binary:Version}),
  libqgis-server3.44.4 (= ${binary:Version}),
- libqgisgrass7-3.44.4 (= ${binary:Version}),
+ libqgisgrass8-3.44.4 (= ${binary:Version}),
  libqgispython3.44.4 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
@@ -320,7 +320,7 @@
  libqgis-gui3.44.4 (= ${binary:Version}),
  libqgis-native3.44.4 (= ${binary:Version}),
  libqgis-server3.44.4 (= ${binary:Version}),
- libqgisgrass7-3.44.4 (= ${binary:Version}),
+ libqgisgrass8-3.44.4 (= ${binary:Version}),
  libqgispython3.44.4 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: gdb

## qgis 3.44.4+40noble

=== debian/changelog ===
qgis (1:3.44.4+40noble) noble; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 03:54:06 +0000

## qgis 3.44.4+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for noble-ubuntugis with ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 05:41:24 +0000

## qgis 3.44.4+42plucky

=== debian/changelog ===
qgis (1:3.44.4+42plucky) plucky; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 07:28:33 +0000

## qgis 3.44.4+43questing

=== debian/changelog ===
qgis (1:3.44.4+43questing) questing; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 25 Oct 2025 09:05:18 +0000

## qgis 3.44.4+99sid

=== debian/changelog ===
qgis (1:3.44.4+99sid) sid; urgency=medium

  * Release of 3.44.4
  * release 3.44.4 for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 27 Oct 2025 16:03:01 +0000

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,10 @@
  libqt5serialport5-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
- libqt5webkit5-dev,
  libqt5xmlpatterns5-dev,
  libdraco-dev,
  qtmultimedia5-dev,
  libqwt-qt5-dev,
- libspatialindex-dev,
  libspatialite-dev,
  libsqlite3-dev,
  libsqlite3-mod-spatialite,
@@ -75,11 +73,11 @@
  qtpositioning5-dev,
  qttools5-dev-tools,
  qttools5-dev,
- libpdal-dev, pdal,
  libprotobuf-dev,
  protobuf-compiler,
  libzstd-dev,
  git,
+ doxygen,
  graphviz,
  xvfb,
  xauth,
@@ -285,7 +283,6 @@
  libqgispython3.44.4 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
- libqt5webkit5-dev,
  libqwt-qt5-dev,
  libsqlite3-dev,
  nlohmann-json3-dev,
@@ -391,7 +388,6 @@
  python3-pyqt5.qtmultimedia,
  python3-pyqt5.qtpositioning,
  python3-pyqt5.qtsvg,
- python3-pyqt5.qtwebkit,
  python3-pyqt5.qtserialport,
  python3-yaml,
  python3-lxml,
@@ -456,3 +452,5 @@
 Replaces: qgis-common (<= 1.6)
 Description: collection of data providers to QGIS - architecture-independent files
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
+ display databases of geographic information.
+ .

## qgis 3.44.4+git20251031+3e9e1c59a6f+17bookworm

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+17bookworm) bookworm; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 11:26:31 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 15:35:47 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+36jammy

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+36jammy) jammy; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 00:02:31 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+36jammy-ubuntugis

=== CMakeLists.txt ===
#############################################################
# CMake settings
cmake_minimum_required(VERSION 3.22.0)
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_AUTORCC ON)
# set path to additional CMake modules
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
# POLICIES
if("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.27")
  # include(Dart) still used, as is the "Experimental" target
  cmake_policy(SET CMP0145 OLD)
endif()
if("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.31")
  cmake_policy(SET CMP0177 NEW)
endif()

# don't relink it only the shared object changes
set(CMAKE_LINK_DEPENDS_NO_SHARED ON)

option (WITH_PYTHON "Determines whether Python support should be built (disabling it will in particular disable processing)" ON)
set(WITH_BINDINGS ${WITH_PYTHON} CACHE BOOL "Determines whether Python bindings should be built")

set (WITH_3D TRUE CACHE BOOL "Determines whether QGIS 3D library should be built")
set (WITH_QGIS_PROCESS TRUE CACHE BOOL "Determines whether the standalone \"qgis_process\" tool should be built")
set (WITH_DESKTOP TRUE CACHE BOOL "Determines whether QGIS desktop should be built")
set (WITH_GUI TRUE CACHE BOOL "Determines whether QGIS GUI library should be built")
set(WITH_VCPKG FALSE CACHE BOOL "Use the vcpkg submodule for dependency management.")

set(SDK_PATH "" CACHE STRING "Build with VCPKG SDK")

if(NOT SDK_PATH STREQUAL "")
  message(STATUS "Building with SDK -- ${SDK_PATH}")
  set(CMAKE_TOOLCHAIN_FILE "${SDK_PATH}/scripts/buildsystems/vcpkg.cmake")
  set(VCPKG_INSTALL_PREFIX "${SDK_PATH}/installed")
  if(APPLE AND NOT VCPKG_TARGET_TRIPLET)
    message(FATAL_ERROR "VCPKG_TARGET_TRIPLET not set (set it to arm64-osx-dynamic-release or x64-osx-dynamic-release")
  endif()
  set(WITH_VCPKG ON)
elseif(WITH_VCPKG)
  message(STATUS "Building local dependencies with VCPKG --")
  set(VCPKG_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/vcpkg_installed")
  include(VcpkgToolchain)
else()
  message(STATUS "Building with system libraries --")
endif()


if(WITH_VCPKG)
  if(WIN32)
    list(APPEND CMAKE_PROGRAM_PATH "${VCPKG_INSTALL_PREFIX}/${VCPKG_TARGET_TRIPLET}/tools/python3/Scripts/")
  else()
    list(APPEND CMAKE_PROGRAM_PATH "${VCPKG_INSTALL_PREFIX}/${VCPKG_TARGET_TRIPLET}/bin")
  endif()
  set(PREFER_INTERNAL_LIBS FALSE)
else()
  set(PREFER_INTERNAL_LIBS TRUE)
endif()

#############################################################
# Project and version
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "44")
set(CPACK_PACKAGE_VERSION_PATCH "4")
set(COMPLETE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
set(RELEASE_NAME "Solothurn")
project(qgis VERSION ${COMPLETE_VERSION})

if (APPLE)
  set(QGIS_APP_NAME "QGIS")
else()
  set(QGIS_APP_NAME "qgis")
endif()

# Note the version no is Mmmpp for Major/minor/patch, 0-padded, thus '10100' for 1.1.0
math(EXPR QGIS_VERSION_INT "${CPACK_PACKAGE_VERSION_MAJOR}*10000+${CPACK_PACKAGE_VERSION_MINOR}*100+${CPACK_PACKAGE_VERSION_PATCH}")
message(STATUS "QGIS version: ${COMPLETE_VERSION} ${RELEASE_NAME} (${QGIS_VERSION_INT})")

set (ENABLE_LOCAL_BUILD_SHORTCUTS FALSE CACHE BOOL "Disables some build steps which are only relevant for releases to speed up compilation time for development")

#############################################################
if (APPLE)
  # QGIS custom dependencies package from qgis/QGIS-Mac-Packager
  # they can be downloaded from https://download.qgis.org/downloads/macos/deps/
  # and extracted to /opt/QGIS/qgis-deps-<deps-version>/stage
  set (QGIS_MAC_DEPS_DIR "" CACHE PATH "Path to QGIS Mac custom dependencies directory")

  # Setup LIB_DIR and CMAKE_PREFIX_PATH to help CMake's
  # find_packages to look for these libraries instead of system libraries
  if ( QGIS_MAC_DEPS_DIR )
    set(ENV{LIB_DIR} ${QGIS_MAC_DEPS_DIR})
    list(APPEND CMAKE_PREFIX_PATH ${QGIS_MAC_DEPS_DIR})
  endif()
endif()

#############################################################
# Configure OpenCL if available
set(HAVE_OPENCL FALSE)
if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "BSD$")
  option(USE_OPENCL "Use OpenCL" OFF)
else()
  option(USE_OPENCL "Use OpenCL" ON)
endif()
if (USE_OPENCL)
    find_package(OpenCL)
    if(${OpenCL_FOUND})
        set(HAVE_OPENCL TRUE)
        # Fixup for standard FindOpenCL module not assigning proper framework headers directory
        if (APPLE AND "${OpenCL_INCLUDE_DIR}" MATCHES "OpenCL\\.framework/?$")
            set(OpenCL_INCLUDE_DIR "${OpenCL_INCLUDE_DIR}/Headers" CACHE PATH "" FORCE)
            set(OpenCL_INCLUDE_DIRS ${OpenCL_INCLUDE_DIR})
        endif()
        find_package(OpenCLhpp)
        if(NOT OPENCL_HPP_FOUND)
            # Use internal headers copied from OpenCL-CLHPP project
            set(OPENCL_HPP_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/external/opencl-clhpp/include CACHE PATH "" FORCE)
            message(STATUS "Couldn't find OpenCL C++ headers, using internal: ${OPENCL_HPP_INCLUDE_DIR}")
        endif()
        set(OpenCL_INCLUDE_DIRS ${OpenCL_INCLUDE_DIRS} ${OPENCL_HPP_INCLUDE_DIR})
    else()
        message(STATUS "Couldn't find OpenCL: support DISABLED")
    endif()
endif()

# Configure CCache if available
option(USE_CCACHE "Use ccache" ON)
if (USE_CCACHE)
  find_program(CCACHE_EXE ccache)
  if(CCACHE_EXE)
    message(STATUS "ccache found")
    execute_process(COMMAND ${CCACHE_EXE} --help OUTPUT_STRIP_TRAILING_WHITESPACE OUTPUT_VARIABLE CCACHE_HELP)
    execute_process(COMMAND ${CCACHE_EXE} --get-config sloppiness OUTPUT_STRIP_TRAILING_WHITESPACE OUTPUT_VARIABLE CCACHE_SLOPPINESS)
    execute_process(COMMAND ${CCACHE_EXE} --get-config compiler_type OUTPUT_STRIP_TRAILING_WHITESPACE OUTPUT_VARIABLE CCACHE_COMPILER_TYPE)
    string(FIND "${CCACHE_SLOPPINESS}" "pch_defines" fpch_defines_found_index)
    string(FIND "${CCACHE_SLOPPINESS}" "time_macros" time_macros_found_index)
    string(FIND "${CCACHE_SLOPPINESS}" "include_file_mtime" include_file_mtime_found_index)
    string(FIND "${CCACHE_SLOPPINESS}" "include_file_ctime" include_file_ctime_found_index)
    # Detect if we have ccache >= 4.8 which accepts passing configuration settings when invoking the compiler
    string(FIND "${CCACHE_HELP}" "ccache [KEY=VALUE ...] compiler" ccache_key_value_found_index)
    if (fpch_defines_found_index EQUAL -1 OR time_macros_found_index EQUAL -1 OR
        (BUILD_WITH_QT6 AND (include_file_mtime_found_index EQUAL -1 OR include_file_ctime_found_index EQUAL -1)))
        set(CCACHE_SLOPPINESS_REQUIRED "pch_defines,time_macros")
        if (BUILD_WITH_QT6 AND (include_file_mtime_found_index EQUAL -1 OR include_file_ctime_found_index EQUAL -1))
          string(APPEND CCACHE_SLOPPINESS_REQUIRED ",include_file_mtime,include_file_ctime")
        endif()
    else()
        set(CCACHE_SLOPPINESS_REQUIRED "")
    endif()
    if (BUILD_WITH_QT6 AND CMAKE_CXX_COMPILER STREQUAL "/usr/bin/c++" AND CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND NOT "${CCACHE_COMPILER_TYPE}" STREQUAL "gcc")
        # Cf https://github.com/ccache/ccache/discussions/959
        set(CCACHE_COMPILER_TYPE_GCC_REQUIRED ON)
    else()
        set(CCACHE_COMPILER_TYPE_GCC_REQUIRED OFF)
    endif()
    set(CCACHE_INVOCATION_COMMAND "ccache")
    if (MSVC)
       # CCache doesn't work yet with precompiled headers (cf https://github.com/ccache/ccache/issues/1383)
       # so no need to set specific ccache configuration items
    elseif (ccache_key_value_found_index EQUAL -1 )
      if (CCACHE_SLOPPINESS_REQUIRED)
          message(FATAL_ERROR "The use of precompiled headers only works if the ccache 'sloppiness' settings contains 'pch_defines' and 'time_macros'. Consider running 'ccache --set-config sloppiness=${CCACHE_SLOPPINESS_REQUIRED}' to define them")
      endif()
      if (CCACHE_COMPILER_TYPE_GCC_REQUIRED)
          message(FATAL_ERROR "The use of precompiled headers only works properly with QT6 if the ccache 'compiler_type' settings is set to 'gcc'. Consider running 'ccache --set-config compiler_type=gcc'")
      endif()
    else()
      if (CCACHE_SLOPPINESS_REQUIRED)
        string(APPEND CCACHE_INVOCATION_COMMAND " sloppiness=${CCACHE_SLOPPINESS_REQUIRED}")
      endif()
      if (CCACHE_COMPILER_TYPE_GCC_REQUIRED)
        string(APPEND CCACHE_INVOCATION_COMMAND " compiler_type=gcc")
      endif()
    endif()
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_INVOCATION_COMMAND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK "${CCACHE_INVOCATION_COMMAND}")
  endif(CCACHE_EXE)
endif(USE_CCACHE)

if (USE_CCACHE AND MSVC)
  # CCache doesn't work yet with precompiled headers (cf https://github.com/ccache/ccache/issues/1383)
  set(USE_PRECOMPILED_HEADERS OFF)
else()
  set(USE_PRECOMPILED_HEADERS ON)
endif()

if (IOS)
    set (DEFAULT_FORCE_STATIC_LIBS TRUE)
else()
    set (DEFAULT_FORCE_STATIC_LIBS FALSE)
endif()

set (FORCE_STATIC_LIBS ${DEFAULT_FORCE_STATIC_LIBS} CACHE BOOL "Determines whether libraries should be static only")
mark_as_advanced(FORCE_STATIC_LIBS)
if (FORCE_STATIC_LIBS)
  set (LIBRARY_TYPE STATIC)
  # following variable is used in qgsconfig.h
  set (HAVE_STATIC_PROVIDERS TRUE)
else()
  set (LIBRARY_TYPE SHARED)
  unset(HAVE_STATIC_PROVIDERS)
endif()

# in generated makefiles use relative paths so the project dir is moveable
# Note commented out since it cause problems but it would be nice to resolve these and enable
#
# issue is caused by include_directories(${CMAKE_BINARY_DIR}) near the end of this file generating incorrect path
#set (CMAKE_USE_RELATIVE_PATHS ON)

set (WITH_CORE TRUE CACHE BOOL "Determines whether QGIS core should be built.")
mark_as_advanced(WITH_CORE)

if(WITH_CORE)
  # Try to configure and build GRASS plugin by default
  foreach (GRASS_SEARCH_VERSION 7 8)
    # Legacy note:
    # For GRASS 6 there were used cached variables without version suffix so that existing caches didn't have to be reconfigured.
    # Cached variables were: WITH_GRASS, WITH_GRASS7, GRASS_PREFIX, GRASS_PREFIX7, GRASS_INCLUDE_DIR, GRASS_INCLUDE_DIR7
    # Everywhere else each variable has version major appended.
    # Normal variables were: GRASS_FOUND6, GRASS_FOUND7, GRASS_MAJOR_VERSION6, GRASS_MAJOR_VERSION7, etc.
    # In addition there is also GRASS_FOUND, which is TRUE if at least one version of GRASS was found
    set (GRASS_CACHE_VERSION ${GRASS_SEARCH_VERSION})
    set (WITH_GRASS${GRASS_CACHE_VERSION} TRUE CACHE BOOL "Determines whether GRASS ${GRASS_SEARCH_VERSION} plugin should be built")
    if (WITH_GRASS${GRASS_CACHE_VERSION})
      find_package(GRASS ${GRASS_SEARCH_VERSION})
      set (GRASS_PREFIX${GRASS_CACHE_VERSION} ${GRASS_PREFIX${GRASS_SEARCH_VERSION}} CACHE PATH "Path to GRASS ${GRASS_SEARCH_VERSION} base directory")
    endif()
  endforeach (GRASS_SEARCH_VERSION)


  set (WITH_OAUTH2_PLUGIN TRUE CACHE BOOL "Determines whether OAuth2 authentication method plugin should be built")
  if(WITH_OAUTH2_PLUGIN)
    set(HAVE_OAUTH2_PLUGIN TRUE)
  endif()

  set (WITH_AUTH TRUE CACHE BOOL "Determines whether QGIS authentication methods should be built")

  set (WITH_ANALYSIS TRUE CACHE BOOL "Determines whether QGIS analysis library should be built")

  if(WITH_DESKTOP)
      if((WIN32 AND NOT MINGW) OR (UNIX AND NOT APPLE AND NOT ANDROID AND NOT IOS))
	set (CRASH_HANDLER_AVAILABLE TRUE)
      else()
	set (CRASH_HANDLER_AVAILABLE FALSE)
      endif()

      set (WITH_CRASH_HANDLER ${CRASH_HANDLER_AVAILABLE} CACHE BOOL "Determines whether the QGIS crash handler application should be built")
      if(WITH_CRASH_HANDLER AND NOT CRASH_HANDLER_AVAILABLE)
	message(FATAL_ERROR "Crash handler cannot be built on this environment. Set WITH_CRASH_HANDLER to false.")
      endif()
      if(WITH_CRASH_HANDLER)
	set (HAVE_CRASH_HANDLER TRUE)    # used in qgsconfig.h
      else()
	set (HAVE_CRASH_HANDLER FALSE)    # used in qgsconfig.h
      endif()
  endif()

  set (WITH_QUICK FALSE CACHE BOOL "Determines whether QGIS Quick library should be built")

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+36jammy-ubuntugis) jammy; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for jammy-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 01:57:08 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+40noble

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+40noble) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 03:57:54 +0000

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,12 @@
  libqt5serialport5-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
+ libqt5webkit5-dev,
  libqt5xmlpatterns5-dev,
  libdraco-dev,
  qtmultimedia5-dev,
  libqwt-qt5-dev,
+ libspatialindex-dev,
  libspatialite-dev,
  libsqlite3-dev,
  libsqlite3-mod-spatialite,
@@ -77,7 +79,6 @@
  protobuf-compiler,
  libzstd-dev,
  git,
- doxygen,
  graphviz,
  xvfb,
  xauth,
@@ -283,6 +284,7 @@
  libqgispython3.44.4 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
+ libqt5webkit5-dev,
  libqwt-qt5-dev,
  libsqlite3-dev,
  nlohmann-json3-dev,
@@ -388,6 +390,7 @@
  python3-pyqt5.qtmultimedia,
  python3-pyqt5.qtpositioning,
  python3-pyqt5.qtsvg,
+ python3-pyqt5.qtwebkit,
  python3-pyqt5.qtserialport,
  python3-yaml,
  python3-lxml,
@@ -452,5 +455,3 @@
 Replaces: qgis-common (<= 1.6)
 Description: collection of data providers to QGIS - architecture-independent files
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
- display databases of geographic information.
- .

## qgis 3.44.4+git20251031+3e9e1c59a6f+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 05:46:01 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+42plucky

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+42plucky) plucky; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 07:46:46 +0000

## qgis 3.44.4+git20251031+3e9e1c59a6f+43questing

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+43questing) questing; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 09:41:45 +0000

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,10 @@
  libqt5serialport5-dev,
  libqt5sql5-sqlite,
  libqt5svg5-dev,
- libqt5webkit5-dev,
  libqt5xmlpatterns5-dev,
  libdraco-dev,
  qtmultimedia5-dev,
  libqwt-qt5-dev,
- libspatialindex-dev,
  libspatialite-dev,
  libsqlite3-dev,
  libsqlite3-mod-spatialite,
@@ -284,7 +282,6 @@
  libqgispython3.44.4 (= ${binary:Version}),
  libqscintilla2-qt5-dev,
  libqt5svg5-dev,
- libqt5webkit5-dev,
  libqwt-qt5-dev,
  libsqlite3-dev,
  nlohmann-json3-dev,
@@ -390,7 +387,6 @@
  python3-pyqt5.qtmultimedia,
  python3-pyqt5.qtpositioning,
  python3-pyqt5.qtsvg,
- python3-pyqt5.qtwebkit,
  python3-pyqt5.qtserialport,
  python3-yaml,
  python3-lxml,
@@ -455,3 +451,5 @@
 Replaces: qgis-common (<= 1.6)
 Description: collection of data providers to QGIS - architecture-independent files
  QGIS is a Geographic Information System (GIS) which manages, analyzes and
+ display databases of geographic information.
+ .

## qgis 3.44.4+git20251031+3e9e1c59a6f+99sid

=== debian/changelog ===
qgis (1:3.44.4+git20251031+3e9e1c59a6f+99sid) sid; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 31 Oct 2025 19:18:28 +0000

## qgis 3.44.4+git20251105+2d26abd4f30+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251105+2d26abd4f30+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 05 Nov 2025 15:50:20 +0000

## qgis 3.44.4+git20251108+37336106a0b+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251108+37336106a0b+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 08 Nov 2025 21:13:25 +0000

## qgis 3.44.4+git20251108+37336106a0b+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+git20251108+37336106a0b+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 08 Nov 2025 07:58:50 +0000

## qgis 3.44.4+git20251111+19da52b86b5+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251111+19da52b86b5+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 11 Nov 2025 14:25:48 +0000

## qgis 3.44.4+git20251111+19da52b86b5+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+git20251111+19da52b86b5+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 11 Nov 2025 05:30:57 +0000

## qgis 3.44.4+git20251113+013e7a5d24a+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251113+013e7a5d24a+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 13 Nov 2025 15:04:15 +0000

## qgis 3.44.4+git20251113+013e7a5d24a+42plucky

=== debian/changelog ===
qgis (1:3.44.4+git20251113+013e7a5d24a+42plucky) plucky; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 13 Nov 2025 07:34:53 +0000

## qgis 3.44.4+git20251113+013e7a5d24a+43questing

=== debian/changelog ===
qgis (1:3.44.4+git20251113+013e7a5d24a+43questing) questing; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 13 Nov 2025 09:21:14 +0000

## qgis 3.44.4+git20251117+5453a274225+17bookworm

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+17bookworm) bookworm; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 11:03:52 +0000

## qgis 3.44.4+git20251117+5453a274225+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 15:11:24 +0000

## qgis 3.44.4+git20251117+5453a274225+40noble

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+40noble) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 03:57:16 +0000

## qgis 3.44.4+git20251117+5453a274225+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 05:43:24 +0000

## qgis 3.44.4+git20251117+5453a274225+42plucky

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+42plucky) plucky; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 07:31:58 +0000

## qgis 3.44.4+git20251117+5453a274225+43questing

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+43questing) questing; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 09:16:38 +0000

## qgis 3.44.4+git20251117+5453a274225+99sid

=== debian/changelog ===
qgis (1:3.44.4+git20251117+5453a274225+99sid) sid; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 17 Nov 2025 18:57:01 +0000

## qgis 3.44.4+git20251119+948a26c42a0+17bookworm

=== CMakeLists.txt ===
--- 
+++ 
@@ -179,7 +179,7 @@
   # CCache doesn't work yet with precompiled headers (cf https://github.com/ccache/ccache/issues/1383)
   set(USE_PRECOMPILED_HEADERS OFF)
 else()
-  set(USE_PRECOMPILED_HEADERS ON)
+  option(USE_PRECOMPILED_HEADERS "Use precompiled headers" ON)
 endif()
 
 if (IOS)

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+17bookworm) bookworm; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 12:16:36 +0000

## qgis 3.44.4+git20251119+948a26c42a0+18trixie

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+18trixie) trixie; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 16:19:20 +0000

## qgis 3.44.4+git20251119+948a26c42a0+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for noble-ubuntugis with
    ubuntugis dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 06:13:35 +0000

## qgis 3.44.4+git20251119+948a26c42a0+42plucky

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+42plucky) plucky; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 08:31:08 +0000

## qgis 3.44.4+git20251119+948a26c42a0+43questing

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+43questing) questing; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 10:26:22 +0000

## qgis 3.44.4+git20251119+948a26c42a0+99sid

=== debian/changelog ===
qgis (1:3.44.4+git20251119+948a26c42a0+99sid) sid; urgency=medium

  * Release of 3.44.4
  * nightly build of latest release branch for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 19 Nov 2025 20:11:07 +0000

## qgis 3.44.5+17bookworm

=== debian/changelog ===
qgis (1:3.44.5+17bookworm) bookworm; urgency=medium

  * Release of 3.44.5
  * release 3.44.5 for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Nov 2025 10:32:40 +0000

qgis (3.44.4) unstable; urgency=medium

  * Release of 3.44.4

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 21 Nov 2025 13:00:59 +0100

## qgis 3.44.5+18trixie

=== debian/changelog ===
qgis (1:3.44.5+18trixie) trixie; urgency=medium

  * Release of 3.44.5
  * release 3.44.5 for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Nov 2025 14:15:15 +0000
